Subject: Re: [bug#37444] [PATCH] added aerc, a simple email client and its dependcies

From: Martin Becze <[email-masked]>
Date: Tue, 01 Oct 2019 14:34:30 -0700

On 2019-09-26 09:37, Ludovic Courtès wrote:
> Hi Martin,
> 
> Martin Becze <[email-masked]> skribis:
> 
>> On 2019-09-18 09:01, Ricardo Wurmus wrote:
>>> Hi Martin,
>>>
>>>> This adds aerc, which is a terminal based email client written in go.
>>>
>>> Thank you for your patch!
>>>
>>> Could you please separate the independent changes into separate commits
>>> and add commit summaries?  For example, the update of
>>> go-github-com-mitchellh-go-homedir should be done separately.
>>>
>>> Please also explain why “inputs” had to be changed to
>>> “propagated-inputs” in some packages, and mention these kind of changes
>>> in the commit summary.
>>>
>>> Thanks!
>>
>> just bumping, updated patch has been made and split into commits now.
>> https://issues.guix.gnu.org/issue/37444 let me know if that is ok
> 
> Like Ricardo mentioned, it would be great if patch #1 were split into
> several commits, one per new package.  That’s how we usually do it.
> 
> I saw your commit logs provide explanations.  However, they are all on
> the “subject line” of the commit log.  Could you take a look at
> <https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html>
> regarding the format of commit logs, or run, say, “git log
> gnu/packages/golang.scm” to view examples?
> 
> I could do these changes on your behalf, but I’d rather let you do it to
> make sure I don’t mess up or misrepresent what you did!
> 
> Thanks,
> Ludo’.

ohhh i think i finally figured it out. (but not how to use
add-change-log-entry, it looks like ppl are using that to generate the
messages somehow?) anyways, v4 incoming!